#!/bin/bash

if [ -z "$BASH_VERSION" ]; then exec bash "$0" "$@"; exit; fi

rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-*

rpm_list=`find . -name "*.rpm" | sort`

for rpm in ${rpm_list}
do
	if [[ ${rpm} == *"01_python3"* ]]; then
		echo "rpm -ivh ${rpm} --nodeps"
                rpm -ivh ${rpm} --nodeps
	else
		echo "rpm -Uvh ${rpm}"
		rpm -Uvh ${rpm}
	fi
done

pip3 install --force-reinstall --upgrade --no-index -f 02_pip/pip-20.3-py2.py3-none-any.whl pip==20.3
pip3 install --no-index -f ./03_ansible ansible
pip3 install --no-index -f ./04_kubernetes kubernetes
pip3 install --no-index -f ./05_minio Minio

tar xvfBpz ./06_kubectl/kubectl.tar.gz -C /usr/bin/
